--
-- mobilgas
-- Specialization for a mobilgas
--
-- @originalauthor (MobileTank)  Manuel Leithner
-- @edit Nubsi www.mod-scheune.com
--

mobilgas = {};

function mobilgas.prerequisitesPresent(specializations)
    return true
end;

function mobilgas:load(xmlFile)

	self.gastrigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.gastrigger#index"));
	g_currentMission:addNonUpdateable(GasStation:new(self.gastrigger));

end;

function mobilgas:delete()
end;

function mobilgas:mouseEvent(posX, posY, isDown, isUp, button)
end;

function mobilgas:keyEvent(unicode, sym, modifier, isDown)
end;

function mobilgas:update(dt)
end;

function mobilgas:draw()
end;

